<div class="flex items-center justify-center min-h-screen bg-gray-900">
    <div class="w-full max-w-xs">
      <form [formGroup]="loginForm" (ngSubmit)="onSubmit()" class="bg-gray-800 shadow-md rounded px-8 pt-6 pb-8 mb-4">
        <div class="mb-4">
          <label class="block text-gray-300 text-sm font-bold mb-2" for="username">
            Nombre de usuario
          </label>
          <input
            class="shadow appearance-none border rounded w-full py-2 px-3 text-gray-700 leading-tight focus:outline-none focus:shadow-outline"
            id="username"
            type="text"
            formControlName="username"
            placeholder="Nombre de usuario"
            required
          />
        </div>
        <div class="flex items-center justify-between">
          <button
            class="bg-blue-500 hover:bg-blue-700 text-white font-bold py-2 px-4 rounded focus:outline-none focus:shadow-outline"
            type="submit"
          >
            Siguiente
          </button>
        </div>
      </form>
    </div>
  </div>